import EquipmentMonitoring from "@/views/screens/screen-components/EquipmentMonitoring.vue";
import ProductionSituation from "@/views/screens/screen-components/ProductionSituation.vue";
import CompletionProductionPlan from "@/views/screens/screen-components/CompletionProductionPlan.vue";
import OrderInformation from "@/views/screens/screen-components/OrderInformation.vue";
import MaterialsCondition from "@/views/screens/screen-components/MaterialsCondition.vue";
import ProductionScheduleOfHeavyParts from "@/views/screens/screen-components/ProductionScheduleOfHeavyParts.vue";
import ProductionTaskStatistics from "@/views/screens/screen-components/ProductionTaskStatistics.vue";
import ProductionCapacitySituation from "@/views/screens/screen-components/ProductionCapacitySituation.vue";
import DistributionOfUnqualifiedProducts from "@/views/screens/screen-components/DistributionOfUnqualifiedProducts.vue";

export interface ScreenComponent {
  name: string;
  key: string;
  component: any;
  description: string;
}

// 每添加一个组件，都需要在这里添加一个键值对
export const componentsDicts: { [key: string]: ScreenComponent } = {
  // Add your components here
  EquipmentMonitoring: {
    name: "设备监控",
    component: EquipmentMonitoring,
    key: "EquipmentMonitoring",
    description:
      "This component shows the status of the equipment in real-time.",
  },
  ProductionSituation: {
    name: "每日产量统计",
    component: ProductionSituation,
    key: "ProductionSituation",
    description:
      "This component shows the production situation of the company.",
  },
  DailyProductionS: {
    name: "生产计划完成情况",
    component: CompletionProductionPlan,
    key: "DailyProductionS",
    description: " This component shows the daily production statistics.",
  },
  OrderInformation: {
    name: "订单信息",
    component: OrderInformation,
    key: "OrderInformation",
    description: "This component shows the order information.",
  },
  MaterialsCondition: {
    name: "物料情况",
    component: MaterialsCondition,
    key: "MaterialsCondition",
    description: "This component shows the materials condition.",
  },
  ProductionScheduleOfHeavyParts: {
    name: "关重件生产进度",
    component: ProductionScheduleOfHeavyParts,
    key: "ProductionScheduleOfHeavyParts",
    description: "This component shows the production schedule of heavy parts.",
  },
  ProductionTaskStatistics: {
    name: "生产任务统计",
    component: ProductionTaskStatistics,
    key: "ProductionTaskStatistics",
    description: "This component shows the production task statistics.",
  },
  ProductionCapacitySituation: {
    name: "生产量情况",
    component: ProductionCapacitySituation,
    key: "ProductionCapacitySituation",
    description: "This component shows the production capacity situation.",
  },
  DistributionOfUnqualifiedProducts: {
    name: "不合格产品分布",
    component: DistributionOfUnqualifiedProducts,
    key: "DistributionOfUnqualifiedProducts",
    description:
      "This component shows the distribution of unqualified products.",
  },
};

export const getComponetnByName = (name: string) => {
  return componentsDicts[name].component;
};
